Skip to main content
GET
/
v1
/
alerts
/
{alert_uuid}
Get Alert
curl --request GET \
  --url https://api.example.com/v1/alerts/{alert_uuid}
import requests

url = "https://api.example.com/v1/alerts/{alert_uuid}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/alerts/{alert_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "source_name": "<string>",
    "occurred_at": "2023-11-07T05:31:56Z",
    "ingested_at": "2023-11-07T05:31:56Z",
    "enriched_at": "2023-11-07T05:31:56Z",
    "is_enriched": true,
    "fingerprint": "<string>",
    "acknowledged_at": "2023-11-07T05:31:56Z",
    "triaged_at": "2023-11-07T05:31:56Z",
    "closed_at": "2023-11-07T05:31:56Z",
    "tags": [
      "<string>"
    ],
    "detection_rule_id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "duplicate_count": 0,
    "last_seen_at": "2023-11-07T05:31:56Z",
    "raw_payload": {},
    "malice": "<string>",
    "malice_override": "<string>",
    "malice_override_source": "<string>",
    "malice_override_at": "2023-11-07T05:31:56Z",
    "indicators": [
      {
        "uuid": "<string>",
        "value": "<string>",
        "first_seen": "2023-11-07T05:31:56Z",
        "last_seen": "2023-11-07T05:31:56Z",
        "is_enriched": true,
        "malice": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "malice_source": "<string>",
        "malice_overridden_at": "2023-11-07T05:31:56Z",
        "enrichment_results": {}
      }
    ],
    "detection_rule": {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "source_rule_id": "<string>",
      "source_name": "<string>",
      "severity": "<string>",
      "is_active": true,
      "mitre_tactics": [
        "<string>"
      ],
      "mitre_techniques": [
        "<string>"
      ],
      "mitre_subtechniques": [
        "<string>"
      ],
      "data_sources": [
        "<string>"
      ],
      "run_frequency": "<string>",
      "created_by": "<string>",
      "documentation": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "context_documents": [
      {
        "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "document_type": "<string>",
        "is_global": true,
        "description": "<string>",
        "tags": [
          "<string>"
        ],
        "version": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "content": "<string>",
        "targeting_rules": {}
      }
    ],
    "agent_findings": [
      {}
    ]
  },
  "meta": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

alert_uuid
string<uuid>
required

Response

Successful Response

data
AlertResponse · object
required

Full alert response — returned by GET /v1/alerts/{uuid}.

meta
Meta · object